FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g50eec98.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g50eec98.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=50eec98 OS_GIT_VERSION=4.9.0-202112142229.p0.g50eec98.assembly.stream-50eec98 SOURCE_DATE_EPOCH=1637319913 SOURCE_GIT_COMMIT=50eec98894a54d2f895f9fe8b8343095e07ac4fb SOURCE_GIT_TAG=50eec988 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
WORKDIR /go/src/github.com/openshift/ptp-operator/must-gather
COPY . .

FROM openshift/ose-base:v4.9.0-202112140956.p0.gf93eca8.assembly.stream
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g50eec98.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g50eec98.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=50eec98 OS_GIT_VERSION=4.9.0-202112142229.p0.g50eec98.assembly.stream-50eec98 SOURCE_DATE_EPOCH=1637319913 SOURCE_GIT_COMMIT=50eec98894a54d2f895f9fe8b8343095e07ac4fb SOURCE_GIT_TAG=50eec988 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
COPY --from=builder /go/src/github.com/openshift/ptp-operator/must-gather/collection-scripts/* /usr/bin/
RUN chmod +x /usr/bin/gather

ENTRYPOINT /usr/bin/gather

LABEL \
        io.k8s.display-name="ptp-operator-must-gather" \
        io.k8s.description="This is a PTP must-gather image that collectes PTP operator related resources." \
        name="openshift/ose-ptp-operator-must-gather" \
        com.redhat.component="ptp-operator-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="ptp" \
        release="202112142229.p0.g50eec98.assembly.stream" \
        io.openshift.build.commit.id="50eec98894a54d2f895f9fe8b8343095e07ac4fb" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/50eec98894a54d2f895f9fe8b8343095e07ac4fb" \
        version="v4.9.0"

